curl -X POST https://zeplo.ai/api/contacts \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"]
}'
{
"success": true,
"data": {
"id": 501,
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Contacts
POST Create Contact
Create a new contact in the system.
POST
/
api
/
contacts
curl -X POST https://zeplo.ai/api/contacts \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"]
}'
{
"success": true,
"data": {
"id": 501,
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create Contact
POST /api/contacts
Create a new contact with phone number and optional details.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/contacts \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"]
}'
Request body
string
Contact name.
string
required
Phone number with country code.
string
Email address.
string[]
Tags for categorization.
object
Custom key-value metadata.
{
"success": true,
"data": {
"id": 501,
"name": "John Doe",
"phone": "919876543210",
"email": "john@example.com",
"tags": ["customer"],
"createdAt": "2026-01-15T12:00:00Z"
}
}
Requires
contacts:create permission and an active subscription.